<?php

// (d1)画像の読み込みとリサイズ
$image = new Imagick();
$image->readImage("lgtm_base.jpg");

$width = $image->getImageWidth();
$height = $image->getImageHeight();

$lgtm_image = new Imagick("lgtm_label.jpg");
$lgtm_image->resizeImage(
    $width / 2, 0, Imagick::FILTER_LANCZOS, 1);

// (d2)画像の重ね合わせ
$image->compositeImage(
    $lgtm_image, Imagick::COMPOSITE_DEFAULT,
    $width / 4, $height / 2);
$image->writeImage("lgtm.jpg");

$image->clear();
$lgtm_image->clear();
