<?php
class UploadWorker
{
    public function perform()
    {
        $file = $this->args['file'];
        $image = new Imagick($file);
        $width = $image->getImageWidth();
        $height = $image->getImageHeight();
        $filter = Imagick::FILTER_LANCZOS;
        $blur = 1;
        $image->resizeImage(
            $width / 2, $height / 2,
            $filter, $blur);
        $image->writeImage('resized.png');
        $image->clear();
    }
}
